package com.example.mmad.testapp.event;

public class OrderCreatedEvent {
    private final Long orderId;
    private final String orderName;
    private final String description;

    public OrderCreatedEvent(Long orderId, String orderName, String description) {
        this.orderId = orderId;
        this.orderName = orderName;
        this.description = description;
    }

    public Long getOrderId() {
        return orderId;
    }

    public String getOrderName() {
        return orderName;
    }

    public String getDescription() {
        return description;
    }
}
