package com.example.mmad.testapp.query;

import com.example.mmad.testapp.event.OrderCreatedEvent;
import org.springframework.context.event.EventListener;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

@Component
public class UserQueryHandler {
    @Async("taskExecutor")
    @EventListener
    public void handelUserCreated(OrderCreatedEvent event) {
        System.out.println("Received user created event" + event.getOrderId());
    }
}
